# std::basic_streambuf<CharT,Traits>::swap

From cppreference.com
< cpp‎ | io‎ | basic streambuf

void swap( basic_streambuf& other ); |  | (since C++11)

Exchanges the contents of the stream buffer with those of `other`.

### Parameters

other | - | stream buffer to exchange contents with

### Return value

(none)

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/swap&oldid=105211"